Bug 219790 - ** (mysql-query-browser:14958): WARNING **: request for bad widget 'myisam_radio' in glade object
** (mysql-query-browser:14958): WARNING **: request for bad widget 'myisam_ra...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mysql-gui-tools (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-15 09:33 EST by Tim Jowers
Modified: 2008-01-22 09:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-22 09:37:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Jowers 2006-12-15 09:33:01 EST
Description of problem:
mysql-query-browser cannot edit data.

Version-Release number of selected component (if applicable):


How reproducible:
every time.

Steps to Reproduce:
1. mysql-query-browser
2. Expand a database. e.g. bizapps_joomla.
3. Right click on a table. e.g. jos_users
4. Select edit. El crasho.
  
Actual results:
mysql-query-browser died.
** (mysql-query-browser:14958): WARNING **: request for bad widget
'myisam_radio' in glade object


Expected results:
edit data

Additional info:
Ran mysql-administrator. Right clicked on a table and chose to edit. Was
notified that mysql-quer-browser bin was not available. Installed it.
Re-attempted and it did not work.
Comment 1 Tom Lane 2007-02-09 14:52:20 EST
Reassigning to proper component.
Comment 2 Colin Charles 2007-02-15 10:31:15 EST
Fixed upstream, in 1.2.9rc, so Dennis, would appreciate if you could rebuild
(the entire gui tools got an upgrade, and now includes Workbench too). Thanks.
Comment 3 Dennis Gilmore 2007-02-15 10:46:24 EST
I have been working on that for some time now. 

Problem is Fedora has lua 5.1  and mysql tools use 5.0  ive never used lua 
before and my patch to port to 5.1  builds  but does not run.  

I do plan on upgrading when i can it to work.  
I have submitted a request for help upstream but got zero feedback.
Comment 4 Dennis Gilmore 2007-04-11 11:21:43 EDT
mysql-gui-tools is now in Fedora replacing mysql-query-browser and 
mysql-administrator  can you please test with that.  It has fixed the bugs ive 
personally seen.  Workbench is not included as its being re-written.
Comment 5 Dennis Gilmore 2007-07-09 20:55:17 EDT
ping can you please test that this bug is fixed 

Note You need to log in before you can comment on or make changes to this bug.